All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.exceptionhighlighting
Class ExceptionHighlightingOLAPRule

    com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingOLAPRule

All Implemented Interfaces:
  ExceptionHighlightingOLAPRuleInterface, ExceptionHighlightingRuleInterface

    public class ExceptionHighlightingOLAPRule

implements ExceptionHighlightingOLAPRuleInterface

class that contains attributes and methods for manipulating an EH OLAP Rule.

Since:
  3.1.4

Field Summary
`protected java.lang.String` | `applyToSelectedIndex`
`protected java.lang.String[]` | `selectedLevels`

Fields inherited from class com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingRule
`addImage, addText, assignment, bold, condition, fillColor, font, fontColor, fontSize, id, image, imageTextPosition, isMeasure, italic, label, maxValue, maxValueUserDefined, measure, minValue, minValueUserDefined, outlineColor, text, textBold, textFont, textFontColor, textFontSize, textItalic, textUnderline, underline, value, valueUserDefined`

Fields inherited from interface com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingRuleInterface
`LEFT, REPLACEMENT, RIGHT`

Constructor Summary
`ExceptionHighlightingOLAPRule()`

Method Summary
`java.lang.String` | `getApplyToSelectedIndex()` Gets what to apply rule to
`java.lang.String` | `getExpression()` Gets the String expression representing this rule
`java.lang.String[]` | `getSelectedLevels()`
`void` | `setApplyToSelectedIndex(java.lang.String applyToSelectedIndex)` Sets what to apply rule to
`void` | `setSelectedLevels(java.lang.String[] selectedLevels)`

Methods inherited from class com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingRule
`getAssignment, getCondition, getFillColor, getFont, getFontColor, getFontSize, getId, getImage, getImageTextPosition, getLabel, getMaxValue, getMeasure, getMinValue, getOutlineColor, getText, getTextFont, getTextFontColor, getTextFontSize, getValue, isAddImage, isAddText, isBold, isItalic, isMaxValueUserDefined, isMeasure, isMinValueUserDefined, isTextBold, isTextItalic, isTextUnderline, isUnderline, isValueUserDefined, setAddImage, setAddText, setAssignment, setBold, setCondition, setFillColor, setFont, setFontColor, setFontSize, setId, setImage, setImageTextPosition, setIsMeasure, setItalic, setLabel, setMaxValue, setMaxValueUserDefined, setMeasure, setMinValue, setMinValueUserDefined, setOutlineColor, setText, setTextBold, setTextFont, setTextFontColor, setTextFontSize, setTextItalic, setTextUnderline, setToDefaults, setUnderline, setValue, setValueUserDefined`

Methods inherited from interface com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingRuleInterface
`getAssignment, getCondition, getFillColor, getFont, getFontColor, getFontSize, getId, getImage, getImageTextPosition, getLabel, getMaxValue, getMeasure, getMinValue, getOutlineColor, getText, getTextFont, getTextFontColor, getTextFontSize, getValue, isAddImage, isAddText, isBold, isItalic, isMaxValueUserDefined, isMeasure, isMinValueUserDefined, isTextBold, isTextItalic, isTextUnderline, isUnderline, isValueUserDefined, setAddImage, setAddText, setAssignment, setBold, setCondition, setFillColor, setFont, setFontColor, setFontSize, setId, setImage, setImageTextPosition, setIsMeasure, setItalic, setLabel, setMaxValue, setMaxValueUserDefined, setMeasure, setMinValue, setMinValueUserDefined, setOutlineColor, setText, setTextBold, setTextFont, setTextFontColor, setTextFontSize, setTextItalic, setTextUnderline, setUnderline, setValue, setValueUserDefined`

Field Detail

### applyToSelectedIndex

    protected java.lang.String applyToSelectedIndex

### selectedLevels

    protected java.lang.String[] selectedLevels

Constructor Detail

### ExceptionHighlightingOLAPRule

    public ExceptionHighlightingOLAPRule()

Method Detail

### getExpression

    public java.lang.String getExpression()

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Gets the String expression representing this rule

  Specified by:
    `getExpression` in interface `ExceptionHighlightingRuleInterface`
  Overrides:
    `getExpression` in class `ExceptionHighlightingRule`
  Returns:
    Returns the Expression

### getApplyToSelectedIndex

    public java.lang.String getApplyToSelectedIndex()

  Description copied from interface: `ExceptionHighlightingOLAPRuleInterface`
  Gets what to apply rule to

  Specified by:
    `getApplyToSelectedIndex` in interface `ExceptionHighlightingOLAPRuleInterface`
  Returns:
    Returns the applyToSelectedIndex.

### setApplyToSelectedIndex

    public void setApplyToSelectedIndex(java.lang.String applyToSelectedIndex)

  Description copied from interface: `ExceptionHighlightingOLAPRuleInterface`
  Sets what to apply rule to

  Specified by:
    `setApplyToSelectedIndex` in interface `ExceptionHighlightingOLAPRuleInterface`
  Parameters:
    `applyToSelectedIndex` - The applyToSelectedIndex to set.

### getSelectedLevels

    public java.lang.String[] getSelectedLevels()

  Specified by:
    `getSelectedLevels` in interface `ExceptionHighlightingOLAPRuleInterface`
  Returns:
    Returns the selectedLevels.

### setSelectedLevels

    public void setSelectedLevels(java.lang.String[] selectedLevels)

  Specified by:
    `setSelectedLevels` in interface `ExceptionHighlightingOLAPRuleInterface`
  Parameters:
    `selectedLevels` - The selectedLevels to set.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.